textures/castlerace/banner
{
	surfaceParm noLightmap
	surfaceParm alphaShadow
	deformVertexes wave 100 sin 4 3 0 0.3
	deformVertexes wave 30 sin 0 3 0 0.2
	deformVertexes normal 0.3 0.2
	polygonOffset
	noPicMip
	cull none
	sort banner
	{
		map "textures/castlerace/banner.tga"
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		RGBGen vertex
	}
}

textures/castlerace/cascade
{
	qer_editorImage "textures/castlerace/components/waterfall/cascade.tga"
	surfaceParm trans
	surfaceParm nonSolid
	surfaceParm noMarks
	surfaceParm noLightmap
	cull none
	sort 10
	{
		map "textures/castlerace/components/waterfall/cascade.tga"
		tcMod scroll 0 -1.5
		alphaGen const 0.7
		blendFunc blend
		RGBGen identity
	}
	{
		map "textures/castlerace/components/waterfall/cascade2.tga"
		tcMod scroll 0 -1.7
		alphaGen const 0.7
		blendFunc blend
		RGBGen identity
	}
	{
		map "textures/castlerace/components/waterfall/cascade3.tga"
		tcMod scroll 0 -0.9
		alphaGen const 0.7
		blendFunc blend
		RGBGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/castlerace/castlerace
{
	qer_editorImage "textures/castlerace/castlerace.tga"
	polygonOffset
	noPicMip
	sort banner
	{
		clampMap "textures/castlerace/castlerace.tga"
		blendFunc blend
	}
}

textures/castlerace/credits
{
	qer_editorImage "textures/castlerace/credits.tga"
	polygonOffset
	noPicMip
	sort banner
	{
		clampMap "textures/castlerace/credits.tga"
		blendFunc blend
	}
}

textures/castlerace/eau
{
	qer_editorImage "textures/castlerace/components/water/pool3d_3.tga"
	qer_trans 0.5
	q3map_fancyWater 0.4 1 1 1
	q3map_globalTexture
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm trans
	surfaceParm slick
	surfaceParm noLightmap
	cull disable
	deformVertexes wave 64 sin 0.5 0.5 0 0.5
	{
		map "textures/castlerace/components/water/pool3d_5.tga"
		blendFunc GL_DST_COLOR GL_ONE
		RGBGen identity
		tcMod scale 0.5 0.5
		tcMod transform 1.5 0 1.5 1 1 2
		tcMod scroll -0.05 0.001
	}
	{
		map "textures/castlerace/components/water/pool3d_6.tga"
		blendFunc GL_DST_COLOR GL_ONE
		RGBGen identity
		tcMod scale 0.5 0.5
		tcMod transform 0 1.5 1 1.5 2 1
		tcMod scroll 0.025 -0.001
	}
	{
		map "textures/castlerace/components/water/pool3d_3.tga"
		blendFunc GL_DST_COLOR GL_ONE
		RGBGen identity
		tcMod scale 0.25 0.5
		tcMod scroll 0.001 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/castlerace/flag
{
	surfaceParm noLightmap
	surfaceParm alphaShadow
	deformVertexes wave 100 sin 4 3 0 0.3
	deformVertexes wave 30 sin 0 3 0 0.8
	deformVertexes normal 0.3 0.2
	polygonOffset
	noPicMip
	cull none
	sort banner
	{
		map "textures/castlerace/flag.tga"
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		RGBGen vertex
	}
}

textures/castlerace/skybox
{
	qer_editorImage "env/castlerace/skybox_ft"
	skyParms "env/castlerace/skybox" 1024 -
	q3map_sunExt 0.6 1 1 180 -35 25 3 16
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 180 3
	surfaceParm sky
	surfaceParm noImpact
	surfaceParm noLightmap
	surfaceParm noDLight
	noPicMip
	noMipMaps
}

textures/castlerace/urtjumpers
{
	qer_editorImage "textures/castlerace/urtjumpers.tga"
	polygonOffset
	noPicMip
	{
		clampMap "textures/castlerace/urtjumpers.tga"
		blendFunc blend
	}
}